=== tools/Makefile ===
#(C) Copyright 2007 OpenMoko, Inc.
# Author: xiangfu liu <xiangfu@openmoko.org>
#
# Configuation settings for the OPENMOKO Neo GTA02 Linux GSM phone
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#
include ../config.mk

CC	= ${HOSTCC}
CFLAGS	= -Wall
C_SRCS	= $(wildcard *.c)
C_OBJS	= $(patsubst %.c,%.o, $(C_SRCS))
SRCS	= ${C_SRCS}
OBJS	= ${C_OBJS}
TARGET	= mkudfu

%.o: %.c
	CC $(CFLAGS) -o $@ $<

all:${TARGET}

${TARGET}:${SRCS}

clean:
	@rm -f *.o  *~  ${TARGET}
