=== debian/changelog ===
qi (20111113-1) unstable; urgency=low

  * New upstream release
     - Add support for two boot options even when there is only one
       partition
     - Add support for initrd (/boot/initrd-GTA02.bin)
     - Change NAND kernel boot parameters to use rootfstype=ubifs
       instead of jffs2. It is now possible to dualboot SHR and Debian.
       Tested with
       http://shr.bearstech.com/shr-core/images/om-gta02/uImage-2.6.39-r6-oe13-om-gta02-20111031080338.bin
       http://shr.bearstech.com/shr-core/images/om-gta02/shr-full-20111109-om-gta02.rootfs.ubi
  * Remove upstreamed patch fix-build-with-gcc-4.6.diff
  * Document how qi can be installed using old versions of mtd-utils
  * Write a man page

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 12 Nov 2011 18:18:51 +0200

qi (20100107-1) unstable; urgency=low

  * Initial release (Closes: #629404)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 05 Jun 2011 22:43:21 +0300
