=== debian/control ===
Source: qi
Section: admin
Priority: optional
Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://wiki.openmoko.org/wiki/Qi
Vcs-Git: git://git.debian.org/pkg-fso/qi.git
Vcs-Browser: http://git.debian.org/?p=pkg-fso/qi.git;a=summary

Package: qi
Architecture: armel
Depends: ${misc:Depends}
Description: lightweight bootloader for OpenMoko Freerunner
 Qi (named by Alan Cox on Openmoko kernel list) is a minimal
 bootloader that "breathes life" into Linux.  Its goal is to stay
 close to the minimum needed to "load" and then "boot" Linux -- no
 boot menus, additional peripheral init or private states.
