=== debian/rules ===
#!/usr/bin/make -f
VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
UPSTREAM_VERSION := $(shell echo $(VERSION) | cut -d - -f1)
UPSTREAM_VERSION_UNIXDATE := $(shell date -u -d $(UPSTREAM_VERSION) +%s)
%:
	dh $@
override_dh_auto_build:
	$(MAKE) CPU=s3c2442 CROSS_COMPILE="" BUILD_BRANCH=debian BUILD_HEAD=$(VERSION)
override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/qi/usr/lib/qi/gta02/
	install -m 644 image/qi-s3c2442-debian_$(VERSION) $(CURDIR)/debian/qi/usr/lib/qi/gta02/qi
	install -m 644 image/qi-s3c2442-debian_$(VERSION).udfu $(CURDIR)/debian/qi/usr/lib/qi/gta02/qi.udfu
	mkdir -p $(CURDIR)/debian/qi/usr/share/man/man8
	install -m 644 debian/qi.8 $(CURDIR)/debian/qi/usr/share/man/man8/qi.8
get-orig-source:
	@echo version $(VERSION)
	@echo upstream version $(UPSTREAM_VERSION)
	@echo unixdate $(UPSTREAM_VERSION_UNIXDATE)
	git clone git://git.openmoko.org/git/qi qi-$(UPSTREAM_VERSION)
	cd qi-$(UPSTREAM_VERSION) && git reset --hard `git rev-list --all -n 1 --before=$(UPSTREAM_VERSION_UNIXDATE)`
	cd qi-$(UPSTREAM_VERSION) && git archive --format=tar --prefix=qi-$(UPSTREAM_VERSION)/ master | gzip -9 --no-name > ../qi_$(UPSTREAM_VERSION).orig.tar.gz
	rm -fr qi-$(UPSTREAM_VERSION)
