=== debian/watch ===
# Upstream does not make releases so there are no releases to watch,
# we just need to package git snapshots for now.
